org.eclnt.jsfserver.util

## Class ThreadingFilter

- java.lang.Object
- - org.eclnt.jsfserver.util.CCFilterBase
  - - org.eclnt.jsfserver.util.ThreadingFilter

- All Implemented Interfaces:
    ICCServerConstants, CLogConstants

      public class ThreadingFilter
      extends CCFilterBase
      implements CLogConstants, ICCServerConstants

  Central filter that needs to be in front of the CaptainCasa server side processing. The main function is to serialize requests by their session id - so that within one session only one request is processed at a certain point of time. - Without this filter applications would have to deal with concurrent threads which is "a nightmare" for server side applications.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ThreadingFilter.IExternalRequestProcessing`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SESSION_ATTRIBUTE_PREVIEW`
    `static java.lang.String` | `SESSION_ATTRIBUTE_PREVIEW_SESSION`
    `static java.lang.String` | `SESSION_ATTRIBUTE_PREVIEWPAGENAME`
    `static java.lang.String` | `SESSION_ATTRIBUTE_STYLE`
    `static java.lang.String` | `SESSION_ATTRIBUTE_VIEWPORTSIZE`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadingFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkRequestForNoData(HttpServletRequest request)`
    `void` | `destroy()`
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
    `void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain, ThreadingFilter.IExternalRequestProcessing externalChainProcessing)`
    `void` | `init(FilterConfig config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_ATTRIBUTE_PREVIEW

          public static final java.lang.String SESSION_ATTRIBUTE_PREVIEW

      See Also:
        Constant Field Values

    - #### SESSION_ATTRIBUTE_PREVIEW_SESSION

          public static final java.lang.String SESSION_ATTRIBUTE_PREVIEW_SESSION

      See Also:
        Constant Field Values

    - #### SESSION_ATTRIBUTE_STYLE

          public static final java.lang.String SESSION_ATTRIBUTE_STYLE

      See Also:
        Constant Field Values

    - #### SESSION_ATTRIBUTE_VIEWPORTSIZE

          public static final java.lang.String SESSION_ATTRIBUTE_VIEWPORTSIZE

      See Also:
        Constant Field Values

    - #### SESSION_ATTRIBUTE_PREVIEWPAGENAME

          public static final java.lang.String SESSION_ATTRIBUTE_PREVIEWPAGENAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThreadingFilter

          public ThreadingFilter()

  - ### Method Detail

    - #### init

          public void init(FilterConfig config)
                    throws ServletException

      Overrides:
        `init` in class `CCFilterBase`
      Throws:
        `ServletException`

    - #### doFilter

          public void doFilter(ServletRequest request,
                               ServletResponse response,
                               FilterChain chain)
                        throws java.io.IOException,
                               ServletException

      Throws:
        `java.io.IOException`
        `ServletException`

    - #### doFilter

          public void doFilter(ServletRequest request,
                               ServletResponse response,
                               FilterChain chain,
                               ThreadingFilter.IExternalRequestProcessing externalChainProcessing)
                        throws java.io.IOException,
                               ServletException

      Throws:
        `java.io.IOException`
        `ServletException`

    - #### destroy

          public void destroy()

    - #### checkRequestForNoData

          public static void checkRequestForNoData(HttpServletRequest request)

Copyright © CaptainCasa Gmbh. All Rights Reserved.